%define major 8
%define gi_version 3.0
%define libname	%mklibname gnomekbd  %{major}
%define giname %mklibname gnomekbd-gir %{gi_version}
%define libnamedev %mklibname -d gnomekbd

%define url_ver %(echo %{version} | cut -d "." -f -2)


Summary:		GNOME keyboard libraries
Name:			libgnomekbd
Version:		3.6.0
Release:		%mkrel 2
Source0:		http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:			libgnomekbd-3.3.90-gmodule-fix.patch
License:		LGPLv2+
Group:			System/Libraries
Url:			http://www.gnome.org/
BuildRequires:		pkgconfig(gdk-3.0) >= 2.91.7
BuildRequires:		pkgconfig(gio-2.0) >= 2.18
BuildRequires:		pkgconfig(glib-2.0) >= 2.18
BuildRequires:		pkgconfig(gtk+-3.0) >= 2.90
BuildRequires:		pkgconfig(libxklavier) >= 5.1
BuildRequires:		gobject-introspection-devel >= 0.6.7
BuildRequires:		intltool
BuildRequires:		chrpath

%description
GNOME keyboard indicator plugin

#--------------------------------------------------------------------

%package common
Summary:		Files used by GNOME keyboard libraries
Group:			%{group}
Conflicts:		%{name} < 2.1.90-2mdv
Conflicts:		gnome-control-center < 2.18.0
Obsoletes:		libgnomekbd < 3.4.0

%description common
Files used by GNOME keyboard library

%files common -f %name.lang
%doc NEWS ChangeLog
%{_datadir}/glib-2.0/schemas/org.gnome.libgnomekbd*.gschema.xml
%{_bindir}/gkbd-keyboard-display
%{_datadir}/GConf/gsettings/libgnomekbd.convert
%{_datadir}/applications/gkbd-keyboard-display.desktop
%{_datadir}/libgnomekbd/

#--------------------------------------------------------------------

%package -n %{libname}
Summary:		Dynamic libraries for GNOME applications
Group:			%{group}
Requires:		%{name}-common >= %{version}

%description -n %{libname}
GNOME keyboard library

%files -n %{libname}
%{_libdir}/libgnomekbd*.so.%{major}*

#--------------------------------------------------------------------

%package -n %{giname}
Summary:		GObject Introspection interface library for %{name}
Group:			System/Libraries
Requires:		%{libname} = %{version}-%{release}

%description -n %{giname}
GObject Introspection interface library for %{name}.

%files -n %{giname}
%{_libdir}/girepository-1.0/Gkbd-%{gi_version}.typelib

#--------------------------------------------------------------------

%package -n %{libnamedev}
Summary:		Static libraries, include files for GNOME
Group:			Development/GNOME and GTK+
Provides	:	%{name}-devel = %{version}-%{release}
Requires	:	%{libname} = %{version}
Obsoletes:		%mklibname -d gnomekbd 1

%description -n %{libnamedev}
Static library and headers file needed in order to develop
applications using the GNOME keyboard library

%files -n %{libnamedev}
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so 
%{_datadir}/gir-1.0/Gkbd-3.0.gir

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build

%configure2_5x  --disable-static \
		--disable-compile-warnings \
		--enable-introspection=yes
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
find %{buildroot} -name '*.la' -delete

chrpath --delete $RPM_BUILD_ROOT%{_libdir}/libgnomekbdui.so.%major.0.0

%find_lang %{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.6.0-2.mga3
+ Revision: 357265
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297523
- new version 3.6.0

* Sat Aug 25 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 283775
- new version 3.5.90

* Tue Jun 26 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 264125
- update major
- new version 3.5.2

* Tue Mar 27 2012 ovitters <ovitters> 3.4.0.2-1.mga2
+ Revision: 227113
- drop patch1 (merged upstream)
- new version 3.4.0.2

* Mon Mar 26 2012 blino <blino> 3.4.0.1-2.mga2
+ Revision: 226605
- fix segfault at gnome-settings-daemon startup

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0.1-1.mga2
+ Revision: 226500
- drop patch1, patch reverted upstream

* Sun Mar 25 2012 ovitters <ovitters> 3.4.0-2.mga2
+ Revision: 226458
- add patch to revert upstream memleak commit; causes crashes

* Sun Mar 25 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226362
- update file list and kill+obsolete libgnomekbd subpackage
- new version 3.4.0

* Wed Feb 22 2012 wally <wally> 3.3.90-1.mga2
+ Revision: 212266
- add patch to fix linking against gmodule-2.0

  + ovitters <ovitters>
    - new version

* Tue Sep 27 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149668
- new version 3.2.0

* Thu Sep 22 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 146646
- new version 3.1.92
- br chrpath
- new version 3.1.90

* Tue Jul 19 2011 wally <wally> 3.0.0.1-4.mga2
+ Revision: 126705
- drop unneeded post and preun scripts
- clean .spec

* Fri Jul 08 2011 cjw <cjw> 3.0.0.1-3.mga2
+ Revision: 120004
- put gobject introspection typelib in a separate package
- rebuild to add automatic typelib deps and provides

* Wed Jun 08 2011 dmorgan <dmorgan> 3.0.0.1-2.mga2
+ Revision: 101709
- Fix file list
- Fix file list
- Fix file list
- Fix file list
- New version 3.0.0.1
  Sync with fedora

* Wed Jan 19 2011 blino <blino> 2.32.0-2.mga1
+ Revision: 24839
- remove old conflicts and obsoletes
- remove old ldconfig scriptlets
- imported package libgnomekbd

